diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -4696,206 +4711,206 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
               The first form lists the active jobs.  The options have the fol-
               lowing meanings:
               --ll     List process IDs in addition to the normal information.
-              --nn     Display  information  only  about  jobs that have changed
+              --nn     Display information only about  jobs  that  have  changed
                      status since the user was last notified of their status.
-              --pp     List only the process  ID  of  the  job's  process  group
+              --pp     List  only  the  process  ID  of  the job's process group
                      leader.
               --rr     Display only running jobs.
               --ss     Display only stopped jobs.
 
-              If  _j_o_b_s_p_e_c  is given, output is restricted to information about
-              that job.  The return status is 0 unless an  invalid  option  is
+              If _j_o_b_s_p_e_c is given, output is restricted to  information  about
+              that  job.   The  return status is 0 unless an invalid option is
               encountered or an invalid _j_o_b_s_p_e_c is supplied.
 
               If the --xx option is supplied, jjoobbss replaces any _j_o_b_s_p_e_c found in
-              _c_o_m_m_a_n_d or _a_r_g_s with the corresponding  process  group  ID,  and
+              _c_o_m_m_a_n_d  or  _a_r_g_s  with  the corresponding process group ID, and
               executes _c_o_m_m_a_n_d passing it _a_r_g_s, returning its exit status.
 
        kkiillll [--ss _s_i_g_s_p_e_c | --nn _s_i_g_n_u_m | --_s_i_g_s_p_e_c] [_p_i_d | _j_o_b_s_p_e_c] ...
        kkiillll --ll [_s_i_g_s_p_e_c | _e_x_i_t___s_t_a_t_u_s]
-              Send  the  signal  named  by  _s_i_g_s_p_e_c or _s_i_g_n_u_m to the processes
-              named by _p_i_d or _j_o_b_s_p_e_c.  _s_i_g_s_p_e_c is either  a  case-insensitive
-              signal  name such as SSIIGGKKIILLLL (with or without the SSIIGG prefix) or
-              a signal number; _s_i_g_n_u_m is a signal number.  If _s_i_g_s_p_e_c  is  not
-              present,  then  SSIIGGTTEERRMM is assumed.  An argument of --ll lists the
-              signal names.  If any arguments are supplied when --ll  is  given,
-              the  names  of  the  signals  corresponding to the arguments are
+              Send the signal named by _s_i_g_s_p_e_c  or  _s_i_g_n_u_m  to  the  processes
+              named  by  _p_i_d or _j_o_b_s_p_e_c.  _s_i_g_s_p_e_c is either a case-insensitive
+              signal name such as SSIIGGKKIILLLL (with or without the SSIIGG prefix)  or
+              a  signal  number; _s_i_g_n_u_m is a signal number.  If _s_i_g_s_p_e_c is not
+              present, then SSIIGGTTEERRMM is assumed.  An argument of --ll  lists  the
+              signal  names.   If any arguments are supplied when --ll is given,
+              the names of the signals  corresponding  to  the  arguments  are
               listed, and the return status is 0.  The _e_x_i_t___s_t_a_t_u_s argument to
-              --ll  is  a  number  specifying either a signal number or the exit
-              status of a process terminated by a signal.  kkiillll  returns  true
-              if  at  least  one  signal was successfully sent, or false if an
+              --ll is a number specifying either a signal  number  or  the  exit
+              status  of  a process terminated by a signal.  kkiillll returns true
+              if at least one signal was successfully sent,  or  false  if  an
               error occurs or an invalid option is encountered.
 
        lleett _a_r_g [_a_r_g ...]
               Each _a_r_g is an arithmetic expression to be evaluated (see AARRIITTHH--
-              MMEETTIICC  EEVVAALLUUAATTIIOONN  above).   If the last _a_r_g evaluates to 0, lleett
+              MMEETTIICC EEVVAALLUUAATTIIOONN above).  If the last _a_r_g evaluates  to  0,  lleett
               returns 1; 0 is returned otherwise.
 
        llooccaall [_o_p_t_i_o_n] [_n_a_m_e[=_v_a_l_u_e] ... | - ]
-              For each argument, a local variable named _n_a_m_e is  created,  and
-              assigned  _v_a_l_u_e.   The _o_p_t_i_o_n can be any of the options accepted
+              For  each  argument, a local variable named _n_a_m_e is created, and
+              assigned _v_a_l_u_e.  The _o_p_t_i_o_n can be any of the  options  accepted
               by ddeeccllaarree.  When llooccaall is used within a function, it causes the
-              variable  _n_a_m_e  to have a visible scope restricted to that func-
-              tion and its children.  If _n_a_m_e is -, the set of  shell  options
-              is  made  local to the function in which llooccaall is invoked: shell
-              options changed using the sseett builtin inside  the  function  are
-              restored  to  their  original  values when the function returns.
-              With no operands, llooccaall writes a list of local variables to  the
-              standard  output.  It is an error to use llooccaall when not within a
+              variable _n_a_m_e to have a visible scope restricted to  that  func-
+              tion  and  its children.  If _n_a_m_e is -, the set of shell options
+              is made local to the function in which llooccaall is  invoked:  shell
+              options  changed  using  the sseett builtin inside the function are
+              restored to their original values  when  the  function  returns.
+              With  no operands, llooccaall writes a list of local variables to the
+              standard output.  It is an error to use llooccaall when not within  a
               function.  The return status is 0 unless llooccaall is used outside a
-              function,  an  invalid  _n_a_m_e  is supplied, or _n_a_m_e is a readonly
+              function, an invalid _n_a_m_e is supplied, or  _n_a_m_e  is  a  readonly
               variable.
 
        llooggoouutt Exit a login shell.
 
-       mmaappffiillee [--dd _d_e_l_i_m] [--nn _c_o_u_n_t] [--OO _o_r_i_g_i_n] [--ss _c_o_u_n_t] [--tt] [--uu  _f_d]  [--CC
+       mmaappffiillee  [--dd  _d_e_l_i_m] [--nn _c_o_u_n_t] [--OO _o_r_i_g_i_n] [--ss _c_o_u_n_t] [--tt] [--uu _f_d] [--CC
        _c_a_l_l_b_a_c_k] [--cc _q_u_a_n_t_u_m] [_a_r_r_a_y]
        rreeaaddaarrrraayy [--dd _d_e_l_i_m] [--nn _c_o_u_n_t] [--OO _o_r_i_g_i_n] [--ss _c_o_u_n_t] [--tt] [--uu _f_d] [--CC
        _c_a_l_l_b_a_c_k] [--cc _q_u_a_n_t_u_m] [_a_r_r_a_y]
-              Read lines from the standard input into the indexed array  vari-
-              able  _a_r_r_a_y, or from file descriptor _f_d if the --uu option is sup-
-              plied.  The variable MMAAPPFFIILLEE is the default _a_r_r_a_y.  Options,  if
+              Read  lines from the standard input into the indexed array vari-
+              able _a_r_r_a_y, or from file descriptor _f_d if the --uu option is  sup-
+              plied.   The variable MMAAPPFFIILLEE is the default _a_r_r_a_y.  Options, if
               supplied, have the following meanings:
-              --dd     The  first  character  of _d_e_l_i_m is used to terminate each
+              --dd     The first character of _d_e_l_i_m is used  to  terminate  each
                      input line, rather than newline.
-              --nn     Copy at most _c_o_u_n_t lines.  If _c_o_u_n_t is 0, all  lines  are
+              --nn     Copy  at  most _c_o_u_n_t lines.  If _c_o_u_n_t is 0, all lines are
                      copied.
-              --OO     Begin  assigning  to  _a_r_r_a_y at index _o_r_i_g_i_n.  The default
+              --OO     Begin assigning to _a_r_r_a_y at index  _o_r_i_g_i_n.   The  default
                      index is 0.
               --ss     Discard the first _c_o_u_n_t lines read.
-              --tt     Remove a trailing _d_e_l_i_m (default newline) from each  line
+              --tt     Remove  a trailing _d_e_l_i_m (default newline) from each line
                      read.
-              --uu     Read  lines  from file descriptor _f_d instead of the stan-
+              --uu     Read lines from file descriptor _f_d instead of  the  stan-
                      dard input.
-              --CC     Evaluate _c_a_l_l_b_a_c_k each time _q_u_a_n_t_u_m lines are read.   The
+              --CC     Evaluate  _c_a_l_l_b_a_c_k each time _q_u_a_n_t_u_m lines are read.  The
                      --cc option specifies _q_u_a_n_t_u_m.
-              --cc     Specify  the  number  of  lines read between each call to
+              --cc     Specify the number of lines read  between  each  call  to
                      _c_a_l_l_b_a_c_k.
 
-              If --CC is specified without --cc,  the  default  quantum  is  5000.
+              If  --CC  is  specified  without  --cc, the default quantum is 5000.
               When _c_a_l_l_b_a_c_k is evaluated, it is supplied the index of the next
               array element to be assigned and the line to be assigned to that
-              element  as  additional  arguments.  _c_a_l_l_b_a_c_k is evaluated after
+              element as additional arguments.  _c_a_l_l_b_a_c_k  is  evaluated  after
               the line is read but before the array element is assigned.
 
-              If not supplied with an  explicit  origin,  mmaappffiillee  will  clear
+              If  not  supplied  with  an  explicit origin, mmaappffiillee will clear
               _a_r_r_a_y before assigning to it.
 
-              mmaappffiillee  returns successfully unless an invalid option or option
-              argument is supplied, _a_r_r_a_y is invalid or  unassignable,  or  if
+              mmaappffiillee returns successfully unless an invalid option or  option
+              argument  is  supplied,  _a_r_r_a_y is invalid or unassignable, or if
               _a_r_r_a_y is not an indexed array.
 
        ppooppdd [-nn] [+_n] [-_n]
-              Removes  entries  from  the directory stack.  With no arguments,
-              removes the top directory from the stack, and performs a  ccdd  to
+              Removes entries from the directory stack.   With  no  arguments,
+              removes  the  top directory from the stack, and performs a ccdd to
               the new top directory.  Arguments, if supplied, have the follow-
               ing meanings:
-              --nn     Suppresses the normal change of directory  when  removing
-                     directories  from  the  stack,  so that only the stack is
+              --nn     Suppresses  the  normal change of directory when removing
+                     directories from the stack, so that  only  the  stack  is
                      manipulated.
-              ++_n     Removes the _nth entry counting from the left of the  list
-                     shown  by  ddiirrss, starting with zero.  For example: ``popd
+              ++_n     Removes  the _nth entry counting from the left of the list
+                     shown by ddiirrss, starting with zero.  For  example:  ``popd
                      +0'' removes the first directory, ``popd +1'' the second.
               --_n     Removes the _nth entry counting from the right of the list
-                     shown  by  ddiirrss, starting with zero.  For example: ``popd
-                     -0'' removes the last directory, ``popd -1'' the next  to
+                     shown by ddiirrss, starting with zero.  For  example:  ``popd
+                     -0''  removes the last directory, ``popd -1'' the next to
                      last.
 
-              If  the ppooppdd command is successful, a ddiirrss is performed as well,
-              and the return status is 0.  ppooppdd returns false  if  an  invalid
+              If the ppooppdd command is successful, a ddiirrss is performed as  well,
+              and  the  return  status is 0.  ppooppdd returns false if an invalid
               option is encountered, the directory stack is empty, a non-exis-
               tent directory stack entry is specified, or the directory change
               fails.
 
        pprriinnttff [--vv _v_a_r] _f_o_r_m_a_t [_a_r_g_u_m_e_n_t_s]
-              Write  the  formatted _a_r_g_u_m_e_n_t_s to the standard output under the
-              control of the _f_o_r_m_a_t.  The --vv option causes the  output  to  be
-              assigned  to  the  variable _v_a_r rather than being printed to the
+              Write the formatted _a_r_g_u_m_e_n_t_s to the standard output  under  the
+              control  of  the  _f_o_r_m_a_t.  The --vv option causes the output to be
+              assigned to the variable _v_a_r rather than being  printed  to  the
               standard output.
 
-              The _f_o_r_m_a_t is a character string which contains three  types  of
-              objects:  plain  characters, which are simply copied to standard
-              output, character escape  sequences,  which  are  converted  and
-              copied  to  the standard output, and format specifications, each
-              of which causes printing of the next  successive  _a_r_g_u_m_e_n_t.   In
+              The  _f_o_r_m_a_t  is a character string which contains three types of
+              objects: plain characters, which are simply copied  to  standard
+              output,  character  escape  sequences,  which  are converted and
+              copied to the standard output, and format  specifications,  each
+              of  which  causes  printing of the next successive _a_r_g_u_m_e_n_t.  In
               addition to the standard _p_r_i_n_t_f(1) format specifications, pprriinnttff
               interprets the following extensions:
               %%bb     causes pprriinnttff to expand backslash escape sequences in the
                      corresponding _a_r_g_u_m_e_n_t (except that \\cc terminates output,
-                     backslashes in \\'', \\"", and \\?? are not removed, and  octal
+                     backslashes  in \\'', \\"", and \\?? are not removed, and octal
                      escapes beginning with \\00 may contain up to four digits).
-              %%qq     causes  pprriinnttff  to output the corresponding _a_r_g_u_m_e_n_t in a
+              %%qq     causes pprriinnttff to output the corresponding _a_r_g_u_m_e_n_t  in  a
                      format that can be reused as shell input.
               %%((_d_a_t_e_f_m_t))TT
-                     causes pprriinnttff to output the  date-time  string  resulting
-                     from  using  _d_a_t_e_f_m_t  as a format string for _s_t_r_f_t_i_m_e(3).
+                     causes  pprriinnttff  to  output the date-time string resulting
+                     from using _d_a_t_e_f_m_t as a format  string  for  _s_t_r_f_t_i_m_e(3).
                      The corresponding _a_r_g_u_m_e_n_t is an integer representing the
-                     number  of seconds since the epoch.  Two special argument
-                     values may be used: -1 represents the current  time,  and
-                     -2  represents  the  time  the  shell was invoked.  If no
-                     argument is specified, conversion behaves as  if  -1  had
-                     been  given.   This  is  an exception to the usual pprriinnttff
+                     number of seconds since the epoch.  Two special  argument
+                     values  may  be used: -1 represents the current time, and
+                     -2 represents the time the  shell  was  invoked.   If  no
+                     argument  is  specified,  conversion behaves as if -1 had
+                     been given.  This is an exception  to  the  usual  pprriinnttff
                      behavior.
 
-              Arguments to non-string format specifiers are treated as C  con-
+              Arguments  to non-string format specifiers are treated as C con-
               stants, except that a leading plus or minus sign is allowed, and
-              if the leading character is a single or double quote, the  value
+              if  the leading character is a single or double quote, the value
               is the ASCII value of the following character.
 
-              The  _f_o_r_m_a_t  is  reused as necessary to consume all of the _a_r_g_u_-
+              The _f_o_r_m_a_t is reused as necessary to consume all  of  the  _a_r_g_u_-
               _m_e_n_t_s.  If the _f_o_r_m_a_t requires more _a_r_g_u_m_e_n_t_s than are supplied,
-              the  extra  format  specifications  behave as if a zero value or
-              null string, as appropriate,  had  been  supplied.   The  return
+              the extra format specifications behave as if  a  zero  value  or
+              null  string,  as  appropriate,  had  been supplied.  The return
               value is zero on success, non-zero on failure.
 
        ppuusshhdd [--nn] [+_n] [-_n]
        ppuusshhdd [--nn] [_d_i_r]
-              Adds  a  directory to the top of the directory stack, or rotates
-              the stack, making the new top of the stack the  current  working
+              Adds a directory to the top of the directory stack,  or  rotates
+              the  stack,  making the new top of the stack the current working
               directory.  With no arguments, exchanges the top two directories
-              and returns 0, unless the directory stack is empty.   Arguments,
+              and  returns 0, unless the directory stack is empty.  Arguments,
               if supplied, have the following meanings:
-              --nn     Suppresses  the  normal  change  of directory when adding
-                     directories to the stack,  so  that  only  the  stack  is
+              --nn     Suppresses the normal change  of  directory  when  adding
+                     directories  to  the  stack,  so  that  only the stack is
                      manipulated.
-              ++_n     Rotates  the  stack  so  that the _nth directory (counting
-                     from the left of the list shown by  ddiirrss,  starting  with
+              ++_n     Rotates the stack so that  the  _nth  directory  (counting
+                     from  the  left  of the list shown by ddiirrss, starting with
                      zero) is at the top.
-              --_n     Rotates  the  stack  so  that the _nth directory (counting
-                     from the right of the list shown by ddiirrss,  starting  with
+              --_n     Rotates the stack so that  the  _nth  directory  (counting
+                     from  the  right of the list shown by ddiirrss, starting with
                      zero) is at the top.
               _d_i_r    Adds _d_i_r to the directory stack at the top, making it the
-                     new current working directory as if it had been  supplied
+                     new  current working directory as if it had been supplied
                      as the argument to the ccdd builtin.
 
               If the ppuusshhdd command is successful, a ddiirrss is performed as well.
-              If the first form is used, ppuusshhdd returns 0 unless the cd to  _d_i_r
-              fails.   With the second form, ppuusshhdd returns 0 unless the direc-
-              tory stack is empty, a non-existent directory stack  element  is
-              specified,  or the directory change to the specified new current
+              If  the first form is used, ppuusshhdd returns 0 unless the cd to _d_i_r
+              fails.  With the second form, ppuusshhdd returns 0 unless the  direc-
+              tory  stack  is empty, a non-existent directory stack element is
+              specified, or the directory change to the specified new  current
               directory fails.
 
        ppwwdd [--LLPP]
-              Print the absolute pathname of the  current  working  directory.
+              Print  the  absolute  pathname of the current working directory.
               The pathname printed contains no symbolic links if the --PP option
               is supplied or the --oo pphhyyssiiccaall option to the sseett builtin command
-              is  enabled.  If the --LL option is used, the pathname printed may
-              contain symbolic links.  The return status is 0 unless an  error
-              occurs  while  reading  the  name of the current directory or an
+              is enabled.  If the --LL option is used, the pathname printed  may
+              contain  symbolic links.  The return status is 0 unless an error
+              occurs while reading the name of the  current  directory  or  an
               invalid option is supplied.
 
        rreeaadd [--eerrss] [--aa _a_n_a_m_e] [--dd _d_e_l_i_m] [--ii _t_e_x_t] [--nn _n_c_h_a_r_s] [--NN _n_c_h_a_r_s] [--pp
        _p_r_o_m_p_t] [--tt _t_i_m_e_o_u_t] [--uu _f_d] [_n_a_m_e ...]
-              One  line  is  read  from  the  standard input, or from the file
-              descriptor _f_d supplied as an argument to the --uu option, and  the
+              One line is read from the  standard  input,  or  from  the  file
+              descriptor  _f_d supplied as an argument to the --uu option, and the
               first word is assigned to the first _n_a_m_e, the second word to the
-              second _n_a_m_e, and so on, with leftover words and their  interven-
-              ing  separators  assigned  to the last _n_a_m_e.  If there are fewer
+              second  _n_a_m_e, and so on, with leftover words and their interven-
+              ing separators assigned to the last _n_a_m_e.  If  there  are  fewer
               words read from the input stream than names, the remaining names
-              are  assigned  empty  values.  The characters in IIFFSS are used to
-              split the line into words using the same rules  the  shell  uses
+              are assigned empty values.  The characters in IIFFSS  are  used  to
+              split  the  line  into words using the same rules the shell uses
               for expansion (described above under WWoorrdd SSpplliittttiinngg).  The back-
-              slash character (\\) may be used to remove  any  special  meaning
+              slash  character  (\\)  may be used to remove any special meaning
               for the next character read and for line continuation.  Options,
               if supplied, have the following meanings:
               --aa _a_n_a_m_e
@@ -4904,28 +4919,28 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
                      new  values  are  assigned.   Other  _n_a_m_e  arguments  are
                      ignored.
               --dd _d_e_l_i_m
-                     The  first  character  of  _d_e_l_i_m is used to terminate the
+                     The first character of _d_e_l_i_m is  used  to  terminate  the
                      input line, rather than newline.
               --ee     If the standard input is coming from a terminal, rreeaaddlliinnee
-                     (see  RREEAADDLLIINNEE  above) is used to obtain the line.  Read-
-                     line uses the current (or default, if  line  editing  was
+                     (see RREEAADDLLIINNEE above) is used to obtain the  line.   Read-
+                     line  uses  the  current (or default, if line editing was
                      not previously active) editing settings.
               --ii _t_e_x_t
-                     If  rreeaaddlliinnee  is  being  used  to  read the line, _t_e_x_t is
+                     If rreeaaddlliinnee is being used  to  read  the  line,  _t_e_x_t  is
                      placed into the editing buffer before editing begins.
               --nn _n_c_h_a_r_s
-                     rreeaadd returns after reading _n_c_h_a_r_s characters rather  than
+                     rreeaadd  returns after reading _n_c_h_a_r_s characters rather than
                      waiting for a complete line of input, but honors a delim-
-                     iter if fewer than _n_c_h_a_r_s characters are read before  the
+                     iter  if fewer than _n_c_h_a_r_s characters are read before the
                      delimiter.
               --NN _n_c_h_a_r_s
-                     rreeaadd  returns  after  reading  exactly  _n_c_h_a_r_s characters
-                     rather than waiting for a complete line of input,  unless
-                     EOF  is encountered or rreeaadd times out.  Delimiter charac-
-                     ters encountered in the input are not  treated  specially
-                     and  do  not cause rreeaadd to return until _n_c_h_a_r_s characters
-                     are read.  The result is not split on the  characters  in
-                     IIFFSS;  the intent is that the variable is assigned exactly
+                     rreeaadd returns  after  reading  exactly  _n_c_h_a_r_s  characters
+                     rather  than waiting for a complete line of input, unless
+                     EOF is encountered or rreeaadd times out.  Delimiter  charac-
+                     ters  encountered  in the input are not treated specially
+                     and do not cause rreeaadd to return until  _n_c_h_a_r_s  characters
+                     are  read.   The result is not split on the characters in
+                     IIFFSS; the intent is that the variable is assigned  exactly
                      the characters read (with the exception of backslash; see
                      the --rr option below).
               --pp _p_r_o_m_p_t
